﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
'ASTabStrip
'Author: Alexander Stolte
'Version: 1.0
#If Documentation
'Changelog:
V1.0
	-Release
#End If

Private Sub Class_Globals	
	Private gTabMenu As AS_TabMenuAdvanced
	Private gViewPager As ASViewPager
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(TabMenu As AS_TabMenuAdvanced,ViewPager As ASViewPager)
	gTabMenu = TabMenu
	gViewPager = ViewPager
End Sub

Public Sub AddPage(tab_text As String,tab_icon As B4XBitmap,tab_iconUn As Object,pager_layout As B4XView,pager_value As Object)
	gTabMenu.AddTab(tab_text,tab_icon,tab_iconUn)
	gViewPager.AddPage(pager_layout,pager_value)	
End Sub

Public Sub RemovePage(index As Int)
	gTabMenu.RemoveTabAt(index)
	gViewPager.RemovePage(index)
	gTabMenu.Refresh
End Sub

Public Sub ViewPager_PageChanged(index As Int)	
	gTabMenu.Index=index
	gTabMenu.Refresh
End Sub

Public Sub TabMenu_TabClick(index As Int)
	gViewPager.CurrentIndex = index	
End Sub